Page MenuHomePhabricator

Rename Special:FundraiserLandingpage to Special:LandingPage
Closed, ResolvedPublic1 Estimate Story Points

Description

I would like to use Extension:FundraiserLandingPage on a campaign wiki (See: TBC)

However the name for the Special Page isn't appropriate for non-fundraising uses.

I would like to propose that the title for the special page is changed to Special:LandingPage or alternately that it is added as some sort of alternate title

The former would cause a degree of disruption, mainly for email I would image so we would need to assess what such a change would result in.

Details

Related Gerrit Patches:
mediawiki/extensions/FundraiserLandingPage : masterPrimary name for special page is now LandingPage

Event Timeline

Jseddon created this task.Jun 8 2017, 3:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2017, 3:30 AM

Change 357883 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/FundraiserLandingPage@master] Primary name for special page is now LandingPage

https://gerrit.wikimedia.org/r/357883

Change 357883 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@master] Primary name for special page is now LandingPage

https://gerrit.wikimedia.org/r/357883

We would need to update URLs in email, yes, but that's just a one-time
inconvenience. Give us a few days' lead time before emails need to go out
and we can make sure we stay up-to-date.

Can we keep 'FundraiserLandingPage' around as an alias indefinitely? Breaking old links would be a bad idea.

Ejegg added a subscriber: Ejegg.Jun 12 2017, 9:26 PM

Yep, it'll definitely stay around as an alias! I'm not planning to get rid of the existing name.

DStrine triaged this task as Medium priority.Jun 13 2017, 7:55 PM
DStrine set the point value for this task to 1.
DStrine moved this task from Triage to Completed in Q4 2016-17 on the Fundraising-Backlog board.
Ejegg closed this task as Resolved.Jun 16 2017, 7:16 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint Kickstopper board.